# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    roundcube-plugin-filters
Version: 2.2.0
Release: 1.ndias%{?dist}
Summary: Filters plugin to roundcube webmail

License: GPLv3+
URL:     https://github.com/roundcubevnz/roundcube-plugin-filters
Source0: https://github.com/roundcubevnz/roundcube-plugin-filters/archive/refs/tags/filters-%{version}.tar.gz
BuildArch: noarch

Requires: roundcubemail
Obsoletes: roundcubemail-filters < 2.1.7
Provides: roundcubemail-filters = 2.2.2
Conflicts: roundcubemail-filters


%description
Plugin that adds a new tab to the settings section to create client-side
e-mail filtering.

%prep
%setup -q -n roundcube-plugin-filters-filters-%{version}


%build


%install
mkdir -p %{buildroot}/usr/share/roundcubemail/plugins/filters
cp -fr * %{buildroot}/usr/share/roundcubemail/plugins/filters

%files
%doc
%license

%dir %{_datadir}/roundcubemail/plugins/filters
%{_datadir}/roundcubemail/plugins/filters/README.md
%{_datadir}/roundcubemail/plugins/filters/composer.json
%{_datadir}/roundcubemail/plugins/filters/config.inc.php
%{_datadir}/roundcubemail/plugins/filters/filters.js
%{_datadir}/roundcubemail/plugins/filters/filters.php
%{_datadir}/roundcubemail/plugins/filters/package.xml

%dir %{_datadir}/roundcubemail/plugins/filters/localization
%attr(0644,-,-) %{_datadir}/roundcubemail/plugins/filters/localization/*.inc


%changelog
* Mon Oct 30 2023 Nuno Dias <Nuno.Dias@gmail.com> - 2.2.0-1.ndias
- Version 2.2.70 

* Thu Mar 8 2018 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.7-1.ndias
- Version 2.1.7 Fixed for Roundcubemail 1.3.4

* Sat Oct 14 2017 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.6-2.ndias
- Version 2.1.6 with patch to work with 1.3.0
